# v2.0 Release Notes
* __New UI__ - The new user interface is designed so that all the important controls are available right away after opening the app (without the need of scrolling), the settings are easier to find, and ofcourse, look visually stunning.
    * Dashboard which can be found at the top, shows information about night light status, automation status, and a bulb which shows current night light status and can be used to toggle intensity types, and a night light toggle button (formerly, the Force Switch button).
    * Settings are now organised into sections represented by icons, which can be revealed by tapping on them. This makes finding settings easier.
* __Filter Intensity replaced with Manual KCAL controls__ - Filter intensity provided limited, inverted KCAL colour controls on blue and green colours, which means, only limited to certain range of values, increasing filter intensity of any colour would actually decrease the KCAL value of that colour. While that provided a finer control on colour tuning, the control was limited. And since colour temperature is far more easier to use (and widely used), I decided to ditch the filter intennsity controls with manual KCAL colour controls. This is the absolute RGB KCAL colour control method.
* Colour temperature is now the default setting mode, because manual mode should not be.
* __Introducing intensity types__ - Intensity types provide a whole new dimension altogether for users to configure night light colour settings. Right now, the intensity types available are _maximum_ and _minimum_. This means user can now have different night light colour settings under different intensity types. For example, I can set the colour temperature to 3500K under maximum intensity, and 4000K temperature under minimum intensity. And then I can use the minimum intensity in the evenings under lighted conditions, and the maximum intensity at nights when I had turned off all the lights.
* __Intensity type controls__ - Intensity type can be toggled by tapping the bulb in the dashboard, and by using the launcher icon shortcut.
* __Introducing dark hours__ - Users can now enable and set a time in between the automatic time schedule period, which is called the dark hours start time. If enabled, minimum intensity will be applied during start time and dark hours start time, and maximum intensity will be applied then on until end time.
* __Light theme__ - A light theme with light background and refreshed icons has been added. Dark theme is present and is the default theme.
* __Android 4.4 is no longer supported__ - Some of the new feature introduced in this version (especially UI changes) will simply not work in kitkat. While workarounds are possible, I chose not to implement them, since this app is meant for advanced users, who are using custom kernels, which means there's a very high chance that they are using newer android version (and not kitkat).
* __Other improvements__
    * Profile creator/updater view now opens expanded, and is dismissable by swiping down.
    * Improvements in KCAL backup.
    * Improvement in tuning colours when night light is off.
    * Switched to _Montserrat_ font.